Subject: RE: Source Address Selection (was Re: [nemo] crossover tunnel....)

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Tue, 2 Sep 2003 07:38:11 +0100

MR does SAS when it opens a socket. So it's not your case 2, and it's more than your case 1.

The remote end may be on the visited link or some hops away. The key is whether the route to the remote end is via the MRHA or not. If the route is via MRHA, then the home address should be used as the global address on that link, that's all I'm saying.

The MR has a connected route to the prefix of the CareOf. In your case 2 (LFN to end node in the visited network) the packets will not be routed via MRHA because there is a better prefix match. Consequence the packets from the LFN will reach the destination. But the end node will not have a route to the LFN so the return connectivity will be broken if there's no MRHA tunnel.

We still have to find a solution for that. Maybe some proxy by the MR, or some advertisement of its MNP on the visited link?

Pascal

> -----Original Message-----
> From: Jongkeun Na [mailto:[email-masked]]
> Sent: mardi 2 septembre 2003 04:17
> To: Pascal Thubert (pthubert); 'Vijay Devarapalli'
> Cc: [email-masked]
> Subject: RE: Source Address Selection (was Re: [nemo] crossover tunnel....)
> 
> Hi Pascal and Vijay,
> 
> I have a question. When does MR want to use SAS for what connectivity?
> It's not clear to me. Some cases that I can understand are as follows:
> 1) The connectivity between any node on visited link and MR
> itself(acting as MN)
> 2) The connectivity between any node on visited link and LFN/VMN in
> Mobile Network.
> In this case, I've just considered Mobile Network as a simple type with
> one egress and one ingress interface. Is there any other case?
> And, SAS can describe case 1), but not about case 2). I wondering if
> case 2) can be concerned in our discussion. If case 2) is possible
> without any route optimization, it'd be good because many of
> applications no longer depend on their MRHA tunnel for local
> connectivity.
> 
> Regards,
> /Jongkeun
> 
> 
> > -----Original Message-----
> > From: Pascal Thubert (pthubert) [mailto:[email-masked]]
> > Sent: Tuesday, September 02, 2003 12:15 AM
> > To: Vijay Devarapalli
> > Cc: Jongkeun Na; [email-masked]
> > Subject: RE: Source Address Selection (was Re: [nemo] crossover
> tunnel....)
> >
> > Hi again Vijay
> >
> > > -----Original Message-----
> > > From: Vijay Devarapalli [mailto:[email-masked]]
> > > Sent: mercredi 20 août 2003 00:24
> > > To: Pascal Thubert (pthubert)
> > > Cc: Jongkeun Na; [email-masked]
> > > Subject: Source Address Selection (was Re: [nemo] crossover
> tunnel....)
> > >
> > > "Pascal Thubert (pthubert)" wrote:
> > >
> > >
> > > > When a MR joins a new link, there's more that happens than we
> actually
> > described.
> > > >
> > > > I suggest to insert a 5.7 chapter: SAS for mobile router
> > > >
> > > >         In the process of Source Address Selection, the MRHA
> tunnel is
> > considered as
> > > >         any other link, with the restriction that only a global
> address may be
> > selected.
> > >
> > > this is not necessarily true. link local addresses can be
> > > used as source and destination address in the inner IPv6
> > > header. infact link local address are used, for example,
> > > if DHCPv6 messages are exchanged over the MR-HA tunnel.
> > > the outer IPv6 header ofcourse will contain MR's CoA and
> > > HA's address.
> > >
> > > >         So when the MR is not at Home, the Home Address will be
> selected
> > as source
> > > >         address when and only when the destination is reached via
> the
> > MRHA tunnel.
> > >
> > > right.
> > >
> > > >
> > > >         The MR has a set of connected routes for its attached
> MNPs. It may
> > also
> > > >         have some static routes and a set of routes obtained from
> a routing
> > protocol.
> > > >         For all these routes, SAS takes place normally and if the
> MRHA
> > tunnel is not
> > > >         the link to the next hop, the best scoped global address
> on that link
> > should
> > > >         be preferred, avoiding the MIP encapsulation and the need
> for
> > global connectivity.
> > >
> > > I am not sure what you mean by global connectivity here?
> > > the rest of the paragraph makes sense.
> >
> > I meant that the connectivity to the infrastructure may not be there
> and yet SAS
> > allows internal connectivity. Example between a VMN and a LFN in a
> mobile
> > network when the MR that owns the mobile network is not bound to its
> HA and
> > there's no MRHA tunnel.
> >
> >
> > >
> > > >         In particular, when a MR forms a CoA from a visited
> prefix, it inserts
> > a
> > > >         connected route to that prefix, over the associated egress
> interface,
> > in
> > > >         its routing table. So when the MR initiates a socket to a
> node on
> > that link,
> > > >         SAS will select the CareOf address as source.
> > >
> > > why? the MR may want to use Route Optimization with the
> > > node on the visited link. in this case, the MR-HA tunnel
> > > wouldnt be outgoing interface. the application on the
> > > MR may initiate a socket with the home address and depend
> > > on the kernel to add the Home Address option. when the
> > > packet is actually sent out on the visited link, the
> > > source address would be the CoA with the home address in
> > > the Home Address Option.
> > >
> > > but I agree with the general idea in your text. and I think
> > > it can be simplified.
> > >
> > >     For any packet, if the interface through which the packet
> > >     is sent out is the MR-HA tunnel, then the Home Address must
> > >     be selected as the source address. The source must be set
> > >     to the link local address, if the destination of the packet
> > >     is a link local address. The Mobile Router MUST NOT set the
> > >     source address to Home Address if the packets are sent to
> > >     the visited link.
> > >
> >
> > I agree with that text, but there's something missing to the last
> sentence. The
> > Mobile Router may have other routes than via the MRHA tunnel. For
> instance
> > running a routing protocol locally in the visited network. For all
> these routes, the
> > interface out will not he the MRHA tunnel, and SAS must select the
> appropriate
> > address as it does normally as if Nemo was not there. This is all
> normal SAS,
> > considering that the global address on the MRHA is the home address.
> Can you
> > please reword the last sentence?
> >
> >
> > Pascal

---

From: "Jongkeun Na" <[email-masked]>
Date: Tue, 2 Sep 2003 18:14:13 +0900

Thanks for your explanation.
> 
> The remote end may be on the visited link or some hops away. The key
is whether
> the route to the remote end is via the MRHA or not. If the route is
via MRHA, then
> the home address should be used as the global address on that link,
that's all I'm
> saying.
Yes, I agree. But, how can MR decide to choose it's CoA of visited link
to send some packets to a node on some hops away? If MR can be
configured by static routes, it's possible. However, I don't think that
is a thing we really want to find. There is something we should think
about. There is some benefit if MR can use it's CoA for the outgoing
connection that has the destination node on global internet, not just
some hops away. That is because most of applications of Mobile Network
will be client type except sort of emerging services like VoIP that is
required to accept an incoming connection. Is there any problem in using
it's CoA for outgoing connections? Any difference in doing for nodes on
some hops away?

> 
> The MR has a connected route to the prefix of the CareOf. In your case
2 (LFN to
> end node in the visited network) the packets will not be routed via
MRHA because
> there is a better prefix match. Consequence the packets from the LFN
will reach
> the destination. But the end node will not have a route to the LFN so
the return
> connectivity will be broken if there's no MRHA tunnel.
> 
> We still have to find a solution for that. Maybe some proxy by the MR,
or some
> advertisement of its MNP on the visited link?

Yes, I agree. There are some points we need to come up with for route
optimization. 

/Jongkeun
tunnel....)

---

From: "Jongkeun Na" <[email-masked]>
Date: Tue, 2 Sep 2003 18:14:13 +0900

is whether
via MRHA, then
that's all I'm

2 (LFN to
MRHA because
will reach
the return
or some

/Jongkeun
tunnel....)